[ubuntu-uk] Aptitude question

Neil Greenwood neil.greenwood.lug at gmail.com
Fri Apr 1 19:34:14 UTC 2011


Hi all,

Is there any way to get aptitude to do a full-upgrade while installing
a new package? I just had a situation where I was trying to install
mumble after doing an 'aptitude update', and got into a conflict state
because libqtcore4 was going to be upgraded *as well as* being
installed as a dependency of mumble.

Hmm, not sure I explained that very well...

The version of mumble I was about to install depended on the new
version of libqtcore4, but all the other Qt apps installed depended on
the previous version. So the best suggestion of the 'aptitude install
mumble' command was to leave everything unchanged!

So, what I want is something like 'aptitude full-upgrade and install
mumble' - does such a thing exist?


Cofion/Regards,
Neil.



More information about the ubuntu-uk mailing list